Bug 842001 - wifi stops working of f17
wifi stops working of f17
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 15:58 EDT by patrick korsnick
Modified: 2012-08-07 16:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:18:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log output from time of problem (14.28 KB, text/plain)
2012-07-20 15:58 EDT, patrick korsnick
no flags Details

  None (edit)
Description patrick korsnick 2012-07-20 15:58:20 EDT
Created attachment 599452 [details]
system log output from time of problem

Description of problem:

for the last week or so wifi stops working on thinkpad w520 running f17 with wifi card:

03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)

this happens seemingly at random. you can get it going again by disabling wifi from NM applet and re-enabling it.
Version-Release number of selected component (if applicable):

f17

How reproducible:

happens seemingly at random

Steps to Reproduce:
1. use system normally
2. wifi connectivity goes away
3.
  
Actual results:

wifi stops working

Expected results:

wifi continues to work

Additional info:

see attachment for a snippet from /var/log/messages around the time of the problem
Comment 1 John W. Linville 2012-07-23 11:40:35 EDT
What is the actual kernel version you are running?
Comment 2 patrick korsnick 2012-07-24 00:23:58 EDT
I'm running 3.4.6-2.fc17.x86_64.
Comment 3 John W. Linville 2012-07-25 09:51:35 EDT
Johannes, we seem to be seeing a lot of these stuck queues.  Do you have any feedback on how to fix it?
Comment 4 patrick korsnick 2012-07-28 18:55:15 EDT
Happened again- this time it broke twice within minutes of toggling the wifi on/off switch in the top left corener menu. two "Queue 2 stuck" messages at 16:40:42 and again at 16:46:33. both times i was trying to yum install google-chrome-beta. it would start downloading and then blow up before it could finish. 

here are the syslog contents:

Jul 28 16:40:42 neuromancer kernel: [ 2259.096084] iwlwifi 0000:03:00.0: Queue 2 stuck for 2000 ms.
Jul 28 16:40:42 neuromancer kernel: [ 2259.096087] iwlwifi 0000:03:00.0: Current SW read_ptr 225 write_ptr 229
Jul 28 16:40:42 neuromancer kernel: [ 2259.096137] iwlwifi 0000:03:00.0: Current HW read_ptr 225 write_ptr 229
Jul 28 16:40:42 neuromancer kernel: [ 2259.096138] iwlwifi 0000:03:00.0: On demand firmware reload
Jul 28 16:40:42 neuromancer kernel: [ 2259.096588] ieee80211 phy0: Hardware restart was requested
Jul 28 16:40:42 neuromancer kernel: [ 2259.096654] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Jul 28 16:40:42 neuromancer kernel: [ 2259.096856] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
Jul 28 16:43:08 neuromancer NetworkManager[796]: <info> (wlan0): device state change: activated -> unavailable (reason 'none') [100 20 0]
Jul 28 16:43:08 neuromancer NetworkManager[796]: <info> (wlan0): deactivating device (reason 'none') [0]
Jul 28 16:43:09 neuromancer NetworkManager[796]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 1233
Jul 28 16:43:09 neuromancer kernel: [ 2405.601846] cfg80211: Calling CRDA to update world regulatory domain
Jul 28 16:43:09 neuromancer kernel: [ 2405.606295] cfg80211: World regulatory domain updated:
Jul 28 16:43:09 neuromancer kernel: [ 2405.606304] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul 28 16:43:09 neuromancer kernel: [ 2405.606311] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.606317] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.606323] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.606328] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.606333] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.606363] cfg80211: Calling CRDA for country: US
Jul 28 16:43:09 neuromancer avahi-daemon[811]: Withdrawing address record for 192.168.1.50 on wlan0.
Jul 28 16:43:09 neuromancer avahi-daemon[811]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.50.
Jul 28 16:43:09 neuromancer avahi-daemon[811]: Interface wlan0.IPv4 no longer relevant for mDNS.
Jul 28 16:43:09 neuromancer kernel: [ 2405.614808] cfg80211: Regulatory domain changed to country: US
Jul 28 16:43:09 neuromancer kernel: [ 2405.614819] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul 28 16:43:09 neuromancer kernel: [ 2405.614829] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.614838] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.614846] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.614854] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.614862] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:43:09 neuromancer kernel: [ 2405.614870] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jul 28 16:43:09 neuromancer NetworkManager[796]: <info> (wlan0): taking down device.
Jul 28 16:43:09 neuromancer dbus-daemon[925]: dbus[925]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jul 28 16:43:09 neuromancer dbus[925]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jul 28 16:43:09 neuromancer dbus-daemon[925]: dbus[925]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jul 28 16:43:09 neuromancer dbus[925]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jul 28 16:43:09 neuromancer avahi-daemon[811]: Withdrawing address record for fe80::224:d7ff:fea8:f3a0 on wlan0.
Jul 28 16:43:09 neuromancer NetworkManager[796]: <info> WiFi hardware radio set disabled
Jul 28 16:43:09 neuromancer NetworkManager[796]: <info> WiFi now disabled by radio killswitch
Jul 28 16:44:09 neuromancer chronyd[891]: Source 208.53.158.34 offline
Jul 28 16:44:09 neuromancer chronyd[891]: Source 65.55.21.20 offline
Jul 28 16:44:09 neuromancer chronyd[891]: Source 149.20.68.17 offline
Jul 28 16:44:09 neuromancer chronyd[891]: Source 69.36.227.90 offline
Jul 28 16:44:40 neuromancer NetworkManager[796]: <info> (wlan0): bringing up device.
Jul 28 16:44:40 neuromancer NetworkManager[796]: <info> WiFi hardware radio set enabled
Jul 28 16:44:40 neuromancer NetworkManager[796]: <info> WiFi now enabled by radio killswitch
Jul 28 16:44:40 neuromancer NetworkManager[796]: <info> (wlan0): bringing up device.
Jul 28 16:44:40 neuromancer kernel: [ 2497.224453] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Jul 28 16:44:40 neuromancer kernel: [ 2497.224740] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
Jul 28 16:44:41 neuromancer kernel: [ 2497.379573] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jul 28 16:44:41 neuromancer NetworkManager[796]: <info> (wlan0) supports 5 scan SSIDs
Jul 28 16:44:41 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: starting -> ready
Jul 28 16:44:41 neuromancer NetworkManager[796]: <info> (wlan0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Jul 28 16:44:41 neuromancer NetworkManager[796]: <warn> Trying to remove a non-existant call id.
Jul 28 16:44:41 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: ready -> inactive
Jul 28 16:44:41 neuromancer NetworkManager[796]: <info> (wlan0) supports 5 scan SSIDs
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Auto-activating connection 'Auto SenseNet'.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) starting connection 'Auto SenseNet'
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0/wireless): access point 'Auto SenseNet' has security, but secrets are required.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> (wlan0): device state change: config -> need-auth (reason 'none') [50 60 0]
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> (wlan0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0/wireless): connection 'Auto SenseNet' has security, and secrets exist.  No new secrets needed.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Config: added 'ssid' value 'SenseNet'
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Config: added 'scan_ssid' value '1'
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Config: added 'psk' value '<omitted>'
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Config: added 'proto' value 'WPA RSN'
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> Config: set interface ap_scan to 1
Jul 28 16:44:43 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: inactive -> scanning
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul 28 16:44:46 neuromancer kernel: [ 2502.774925] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Jul 28 16:44:46 neuromancer dnsmasq[889]: no servers found in /etc/resolv.conf, will retry
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: associating -> associated
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: associated -> 4-way handshake
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: 4-way handshake -> completed
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'SenseNet'.
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): device state change: config -> ip-config (reason 'none') [50 70 0]
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> dhclient started with pid 3564
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Beginning IP6 addrconf.
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
Jul 28 16:44:46 neuromancer dhclient[3564]: Internet Systems Consortium DHCP Client 4.2.4
Jul 28 16:44:46 neuromancer dhclient[3564]: Copyright 2004-2012 Internet Systems Consortium.
Jul 28 16:44:46 neuromancer dhclient[3564]: All rights reserved.
Jul 28 16:44:46 neuromancer dhclient[3564]: For info, please visit https://www.isc.org/software/dhcp/
Jul 28 16:44:46 neuromancer dhclient[3564]: 
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): DHCPv4 state changed nbi -> preinit
Jul 28 16:44:46 neuromancer dhclient[3564]: Listening on LPF/wlan0/00:24:d7:a8:f3:a0
Jul 28 16:44:46 neuromancer dhclient[3564]: Sending on   LPF/wlan0/00:24:d7:a8:f3:a0
Jul 28 16:44:46 neuromancer dhclient[3564]: Sending on   Socket/fallback
Jul 28 16:44:46 neuromancer dhclient[3564]: DHCPREQUEST on wlan0 to 255.255.255.255 port 67 (xid=0x6ebb5e9e)
Jul 28 16:44:46 neuromancer dhclient[3564]: DHCPACK from 192.168.1.1 (xid=0x6ebb5e9e)
Jul 28 16:44:46 neuromancer dhclient[3564]: bound to 192.168.1.50 -- renewal in 2147483648 seconds.
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> (wlan0): DHCPv4 state changed preinit -> reboot
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info>   address 192.168.1.50
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info>   prefix 24 (255.255.255.0)
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info>   gateway 192.168.1.1
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info>   hostname 'neuromancer'
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info>   nameserver '192.168.1.1'
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 5 of 5 (IPv4 Configure Commit) scheduled...
Jul 28 16:44:46 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 5 of 5 (IPv4 Commit) started...
Jul 28 16:44:46 neuromancer avahi-daemon[811]: Joining mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.50.
Jul 28 16:44:46 neuromancer avahi-daemon[811]: New relevant interface wlan0.IPv4 for mDNS.
Jul 28 16:44:46 neuromancer avahi-daemon[811]: Registering new address record for 192.168.1.50 on wlan0.IPv4.
Jul 28 16:44:47 neuromancer NetworkManager[796]: <info> (wlan0): device state change: ip-config -> activated (reason 'none') [70 100 0]
Jul 28 16:44:47 neuromancer NetworkManager[796]: <info> Policy set 'Auto SenseNet' (wlan0) as default for IPv4 routing and DNS.
Jul 28 16:44:47 neuromancer NetworkManager[796]: <info> Activation (wlan0) successful, device activated.
Jul 28 16:44:47 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 5 of 5 (IPv4 Commit) complete.
Jul 28 16:44:47 neuromancer dbus[925]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jul 28 16:44:47 neuromancer dbus-daemon[925]: dbus[925]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jul 28 16:44:47 neuromancer dbus-daemon[925]: dbus[925]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jul 28 16:44:47 neuromancer dbus[925]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jul 28 16:44:47 neuromancer iscsi[3585]: Starting iscsi: iscsiadm: No records found
Jul 28 16:44:47 neuromancer iscsi[3585]: [  OK  ]
Jul 28 16:44:47 neuromancer dbus-daemon[925]: Starting iscsi (via systemctl):  [  OK  ]
Jul 28 16:44:48 neuromancer avahi-daemon[811]: Registering new address record for fe80::224:d7ff:fea8:f3a0 on wlan0.*.
Jul 28 16:44:48 neuromancer dnsmasq[889]: reading /etc/resolv.conf
Jul 28 16:44:48 neuromancer dnsmasq[889]: using nameserver 192.168.1.1#53
Jul 28 16:45:06 neuromancer NetworkManager[796]: <info> (wlan0): IP6 addrconf timed out or failed.
Jul 28 16:45:06 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
Jul 28 16:45:06 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 4 of 5 (IPv6 Configure Timeout) started...
Jul 28 16:45:06 neuromancer NetworkManager[796]: <info> Activation (wlan0) Stage 4 of 5 (IPv6 Configure Timeout) complete.
Jul 28 16:45:38 neuromancer dbus-daemon[925]: dbus[925]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Jul 28 16:45:38 neuromancer dbus[925]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Jul 28 16:45:38 neuromancer dbus-daemon[925]: Launching FprintObject
Jul 28 16:45:38 neuromancer dbus-daemon[925]: dbus[925]: [system] Successfully activated service 'net.reactivated.Fprint'
Jul 28 16:45:38 neuromancer dbus[925]: [system] Successfully activated service 'net.reactivated.Fprint'
Jul 28 16:45:38 neuromancer dbus-daemon[925]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Jul 28 16:45:38 neuromancer dbus-daemon[925]: ** Message: entering main loop
Jul 28 16:45:38 neuromancer dbus-daemon[925]: ** Message: user 'root' claiming the device: 0
Jul 28 16:45:39 neuromancer dbus-daemon[925]: ** Message: now monitoring fd 10
Jul 28 16:45:39 neuromancer dbus-daemon[925]: ** Message: device 0 claim status 0
Jul 28 16:45:39 neuromancer dbus-daemon[925]: ** Message: no longer monitoring fd 10
Jul 28 16:45:39 neuromancer dbus-daemon[925]: ** Message: released device 0
Jul 28 16:45:48 neuromancer chronyd[891]: Source 208.53.158.34 online
Jul 28 16:45:48 neuromancer chronyd[891]: Source 65.55.21.20 online
Jul 28 16:45:48 neuromancer chronyd[891]: Source 149.20.68.17 online
Jul 28 16:45:48 neuromancer chronyd[891]: Source 69.36.227.90 online
Jul 28 16:45:49 neuromancer chronyd[891]: Selected source 149.20.68.17
Jul 28 16:46:09 neuromancer dbus-daemon[925]: ** Message: No devices in use, exit
Jul 28 16:46:33 neuromancer kernel: [ 2609.357175] iwlwifi 0000:03:00.0: Queue 2 stuck for 2000 ms.
Jul 28 16:46:33 neuromancer kernel: [ 2609.357186] iwlwifi 0000:03:00.0: Current SW read_ptr 109 write_ptr 111
Jul 28 16:46:33 neuromancer kernel: [ 2609.357243] iwlwifi 0000:03:00.0: Current HW read_ptr 109 write_ptr 111
Jul 28 16:46:33 neuromancer kernel: [ 2609.357248] iwlwifi 0000:03:00.0: On demand firmware reload
Jul 28 16:46:33 neuromancer kernel: [ 2609.357841] ieee80211 phy0: Hardware restart was requested
Jul 28 16:46:33 neuromancer kernel: [ 2609.357910] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Jul 28 16:46:33 neuromancer kernel: [ 2609.358078] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
Jul 28 16:47:27 neuromancer kernel: [ 2663.609186] cfg80211: Calling CRDA to update world regulatory domain
Jul 28 16:47:27 neuromancer kernel: [ 2663.613125] cfg80211: World regulatory domain updated:
Jul 28 16:47:27 neuromancer kernel: [ 2663.613133] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul 28 16:47:27 neuromancer kernel: [ 2663.613141] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.613147] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.613152] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.613157] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.613162] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.613603] cfg80211: Calling CRDA for country: US
Jul 28 16:47:27 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: completed -> disconnected
Jul 28 16:47:27 neuromancer kernel: [ 2663.617195] cfg80211: Regulatory domain changed to country: US
Jul 28 16:47:27 neuromancer kernel: [ 2663.617203] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul 28 16:47:27 neuromancer kernel: [ 2663.617211] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.617217] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.617222] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.617227] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.617232] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul 28 16:47:27 neuromancer kernel: [ 2663.617237] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jul 28 16:47:27 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul 28 16:47:30 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul 28 16:47:30 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul 28 16:47:30 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: associating -> associated
Jul 28 16:47:30 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: associated -> 4-way handshake
Jul 28 16:47:30 neuromancer NetworkManager[796]: <info> (wlan0): supplicant interface state: 4-way handshake -> completed
Comment 5 patrick korsnick 2012-07-28 19:16:33 EDT
This is happening every few minutes now and my laptop is essentially unusable. I'm currently yum updated all the way (took 3 toggles of the wifi on/off switch to download all 27 packages) and it is still doing it. I haven't made any changes to the system other than standard yum updating, so I'm guessing something that was updated broke it somewhere along the way. I don't see this behavior on another partition running an install of the released version of f17 (non-yum-updated)
Comment 6 patrick korsnick 2012-07-28 20:12:22 EDT
Disredard the above comment  regarding it working on the stock (pre yum updgrade) version of f17. I installed f17 from an original f17 usb stick and hit the bug within 5 minutes of booting up.
Comment 7 Stanislaw Gruszka 2012-07-30 06:16:25 EDT
You can try if any of below iwlwifi module options help:
wd_disable=1 
11n_disable=1
power_save=0
Comment 8 patrick korsnick 2012-08-07 16:18:36 EDT
As of Aug. 7 and kernel 3.5.0-2.fc17.x86_64 the problem seems to be gone. Will close the bug and re-open if problem comes back.

Note You need to log in before you can comment on or make changes to this bug.